import { MessageInstance } from "antd/es/message/interface";
import { ModalStaticFunctions } from "antd/es/modal/confirm";
import { NotificationInstance } from "antd/es/notification/interface";

type ModalInstance = Omit<ModalStaticFunctions, "warn">;

class AntdUtils {
  message: MessageInstance | null = null;
  notification: NotificationInstance | null = null;
  modal: ModalInstance | null = null;

  setMessageInstance(message: MessageInstance) {
    this.message = message;
    this.message.success;
    return this;
  }

  setNotificationInstance(notification: NotificationInstance) {
    this.notification = notification;
    return this;
  }

  setModalInstance(modal: ModalInstance) {
    this.modal = modal;
    return this;
  }
}

export const antdUtils = new AntdUtils();
