import { Study } from "@/modules/Admin/Dicom/Upload/DicomUploader/util";
import { User } from "@@/domain/User/entities/User";

export type ResponseType = Promise<{
  code?: number | string;
  data?: unknown;
  msg?: string;
}>;

export type ResponsePacsType = Promise<{
  ID: string;
  ParentPatient: string;
  ParentSeries: string;
  ParentStudy: string;
  Path: string;
  Status: string;
}>;

export type ExistInPacsDTO = {
  StudyInstanceUID: string;
  SeriesInstanceUID: string;
};

export type ArchiveTaskCreateDto = {
  user: User;
  study: Study[];
};

export type DownloadArchiveDTO = {
  ID: string;
  Type: "study" | "series" | "Study" | "Series";
};

export type labelCategoryDTO = {
  name: string;
};

export type LabelCreateDTO = {
  name: string;
  categoryId: number;
};

export type LabelUpdateDTO = {
  name: string;
  id: number;
};

export type LabelDeleteDTO = {
  id: number;
};

export type LabelCategoryUpdateDTO = {
  name: string;
  id: number;
};
