import { ExceptionFilter, Catch, ArgumentsHost } from '@nestjs/common';
import { QueryFailedError } from 'typeorm';

const statusCode = 500; // 默认错误代码，您可以根据需要调整
/**
 * sql错误信息，具体根据mysql文档可以查阅到
 */
const errorMapping = {
  ER_DUP_ENTRY: '该条目已存在。',
};

/**
 * ! nestjs rpc拦截返回的参数必须是 {statusCode,message}  这两个参数
 */
@Catch(QueryFailedError)
export class TypeOrmExceptionFilter implements ExceptionFilter {
  catch(exception: QueryFailedError, host: ArgumentsHost) {
    console.log('TypeOrmExceptionFilter 过滤器:', exception.driverError);
    const message =
      errorMapping?.[exception.driverError.code] ?? 'sql操作失败。';
    return { statusCode, message };
  }
}
